Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 117690 - xmms crashes on start when xmms-itouch was set up (and activated)
Summary: xmms crashes on start when xmms-itouch was set up (and activated)
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High major (vote)
Assignee: Luis Medinas (RETIRED)
URL:
Whiteboard:
Keywords: PMASKED
Depends on: xmms-must-die
Blocks:
  Show dependency tree
 
Reported: 2006-01-03 19:46 UTC by Attila Stehr
Modified: 2006-10-23 00:45 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Attila Stehr 2006-01-03 19:46:09 UTC
Instantly after activating the plugin xmms crashes. Since xmms-itouch worked some month ago I guess this problem has something to do with (updated) libraries/gcc/... version or maybe this is simply an access rights issue?!


atti@magic ~ $ gdb xmms
GNU gdb 6.4
Copyright 2005 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu"...(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/xmms
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 46912523595888 (LWP 21205)]
[New Thread 1082132832 (LWP 21208)]
[New Thread 1090525536 (LWP 21209)]
Gdk-ERROR **: BadAccess (attempt to access private resource denied)
  serial 7 error_code 10 request_code 33 minor_code 0

Program exited with code 01.
(gdb) q
atti@magic ~ $


magic xmms # USE="-esd -mad -sndfile -vorbis" emerge -pvD xmms xmms-itouch
[ebuild   R   ] media-sound/xmms-1.2.10-r15  (-3dnow) +alsa -arts +directfb -esd -flac -jack -lirc -mad -mikmod (-mmx) +mp3 +nls -oss -sndfile -vorbis 0 kB
[ebuild   R   ] media-plugins/xmms-itouch-0.1.2-r1  +nls 0 kB


Portage 2.0.53 (default-linux/amd64/2005.1, gcc-3.4.4-vanilla, glibc-2.3.5-r2, 2.6.13-gentoo-r5 x86_64)
=================================================================
System uname: 2.6.13-gentoo-r5 x86_64 AMD Athlon(tm) 64 Processor 3000+
Gentoo Base System version 1.6.13
dev-lang/python:     2.3.5, 2.4.2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.20
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O1 -pipe -fomit-frame-pointer -g -ggdb3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /usr/X11R6/bin/startx /etc/env.d"
CXXFLAGS="-march=athlon64 -O1 -pipe -fomit-frame-pointer -g -ggdb3"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig candy distlocks sandbox severe sfperms strict test"
GENTOO_MIRRORS="http://pandemonium.tiscali.de/pub/gentoo/ ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ ftp://ftp.gentoo.mesh-solutions.com/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/"
LANG="de_DE.utf8"
LC_ALL="de_DE@euro.utf8"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="7zip X a52 aac acpi alsa amd64 asf audiofile avi berkdb bitmap-fonts bzip2 bzlib cdda cdio cdr crypt css cups curl dbus dga directfb dlloader dmalloc dnd dpms dts dvd dvdr dvdread eds emacs emboss encode esd exif expat fam fame fat fbcon ffmpeg firefox foomaticdb freetype gcj gdbm ggi gif gimpprint glut gmp gnome gpm gs gstreamer gtk gtk2 hal hardened howl idn imagemagick imlib ipv6 ithreads javascript jpeg jpeg2k kde lcms libsamplerate libwww linuxthreads-tls lzo lzw lzw-tiff mad matroska memlimit mjpeg mmap mng mozcalendar mozdevelop mozsvg mp3 mpeg mpi ncurses nls nptl nptlonly ntfs nvidia ogg oggvorbis on-the-fly-crypt openal openexr opengl pam pcre pda pdflib perl png ppds python qt quicktime readline real reiserfs rle sdl slang sndfile spell ssl stream svg symlink tcltk tcpd test tetex tga theora threads tidy tiff toolbar truetype truetype-fonts type1-fonts udev unicode usb userlocales vcd videos vorbis wmf xine xml xml2 xmms xosd xpm xprint xtermtoolbar xv xvid xvmc yv12 zlib linguas_de userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, PORTDIR_OVERLAY


magic xmms # ll /usr/lib64/xmms/*
/usr/lib64/xmms/General:
insgesamt 92
drwxr-xr-x  2 root root  4096  4. Jan 04:22 .
drwxr-xr-x  5 root root  4096  4. Jan 03:48 ..
-rwxr-xr-x  1 root root   727  4. Jan 04:22 libitouch.la
-rwxr-xr-x  1 root root 36600  4. Jan 04:22 libitouch.so
-rwxr-xr-x  1 root root  1041  4. Jan 01:17 libxmms_osd.la
-rwxr-xr-x  1 root root 39336  4. Jan 01:17 libxmms_osd.so

/usr/lib64/xmms/Input:
insgesamt 284
drwxr-xr-x  2 root root   4096  4. Jan 04:16 .
drwxr-xr-x  5 root root   4096  4. Jan 03:48 ..
-rw-r--r--  1 root root  28012 31. Dez 04:49 libmp4.a
-rwxr-xr-x  1 root root   1154 31. Dez 04:49 libmp4.la
-rwxr-xr-x  1 root root  23112 31. Dez 04:49 libmp4.so
-rwxr-xr-x  1 root root   1006  4. Jan 04:06 libmpg123.la
-rwxr-xr-x  1 root root 216216  4. Jan 04:06 libmpg123.so

/usr/lib64/xmms/Output:
insgesamt 72
drwxr-xr-x  2 root root  4096  4. Jan 03:49 .
drwxr-xr-x  5 root root  4096  4. Jan 03:48 ..
-rwxr-xr-x  1 root root   993  3. Jan 20:21 libALSA.la
-rwxr-xr-x  1 root root 55856  3. Jan 20:21 libALSA.so
magic xmms #
Comment 1 Luis Medinas (RETIRED) gentoo-dev 2006-01-04 04:24:50 UTC
try removing all xmms-plugins packages and xmms then rebuild all.
Comment 2 Attila Stehr 2006-01-22 14:42:26 UTC
here we go:

atti@magic ~ $ ls /usr/lib64/xmms/
ls: /usr/lib64/xmms/: Datei oder Verzeichnis nicht gefunden
(file or directory not found)

>>> Regenerating /etc/ld.so.cache...
>>> media-plugins/xmms-itouch-0.1.2-r1 merged.
>>> Recording media-plugins/xmms-itouch in "world" favorites file...

>>> clean: No packages selected for removal.

>>> Auto-cleaning packages ...

>>> No outdated packages were found on your system.


 * GNU info directory index is up-to-date.

magic media # xmms
Gdk-WARNING **: locale not supported by Xlib, locale set to C
Gdk-ERROR **: BadAccess (attempt to access private resource denied)
  serial 9 error_code 10 request_code 33 minor_code 0
magic media #
magic media # ls /usr/lib64/xmms/General/
.  ..  libitouch.la  libitouch.so
magic media #
Comment 3 Attila Stehr 2006-01-22 14:43:23 UTC
magic media # ls /usr/lib64/xmms/
.  ..  General
magic media # ls /usr/lib64/xmms/General/
.  ..  libitouch.la  libitouch.so
magic media #
Comment 4 Attila Stehr 2006-05-25 05:44:44 UTC
problem still persists

First configuration of the xmms-itouch plugin works fine. Start after that results in "quitting" the program without providing a core file.

atti@magic ~ $ gdb xmms
GNU gdb 6.4
Copyright 2005 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu"...Using host libthread_db library "/lib/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/xmms
[Thread debugging using libthread_db enabled]
[New Thread 47716304555328 (LWP 16671)]
[New Thread 1082132816 (LWP 16677)]
[New Thread 1090525520 (LWP 16678)]
Gdk-ERROR **: BadAccess (attempt to access private resource denied)
  serial 7 error_code 10 request_code 33 minor_code 0

Program exited with code 01.
(gdb) bt
No stack.
(gdb)

What private resource is ment here?
Using root leads to the same problem...

------------------------------

addendum

I just emerged xmms (umgerge -> emerge) and this happens when using the play key on first start of xmms:

atti@magic ~ $ gdb xmms
GNU gdb 6.4
Copyright 2005 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu"...Using host libthread_db library "/lib/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/xmms
[Thread debugging using libthread_db enabled]
[New Thread 47266256067904 (LWP 28928)]
[New Thread 1082132816 (LWP 28931)]
[New Thread 1090525520 (LWP 28932)]

Program received signal SIG33, Real-time event 33.
[Switching to Thread 1090525520 (LWP 28932)]
0x00002afd079f4591 in __nanosleep_nocancel () from /lib/libpthread.so.0
(gdb)

I hope that helps!
Comment 5 Attila Stehr 2006-05-25 05:50:25 UTC
(gdb) up
#1  0x00002afd070a7b98 in xmms_usleep (usec=1090523488) at util.c:107
107     util.c: Datei oder Verzeichnis nicht gefunden.
        in util.c
(gdb) down
#0  0x00002afd079f4591 in __nanosleep_nocancel () from /lib/libpthread.so.0
(gdb)


Reemerging gdk-pixbuf didn't help.
Comment 6 Attila Stehr 2006-05-25 06:04:01 UTC
some splint output:


magic xmms-1.2.10 # splint ./libxmms/util.c
Splint 3.1.1 --- 13 May 2006

libxmms/util.c:5:21: Cannot find include file gtk/gtk.h on search path:
                        /usr/include;/usr/include
  Preprocessing error. (Use -preproc to inhibit warning)
libxmms/util.c:29: Include file <sys/types.h> matches the name of a POSIX
    library, but the POSIX library is not being used.  Consider using +posixlib
    or +posixstrictlib to select the POSIX library, or -warnposix to suppress
    this message.
  Header name matches a POSIX header, but the POSIX library is not selected.
  (Use -warnposixheaders to inhibit warning)
Preprocessing error for file: /var/tmp/portage/xmms-1.2.10-r15/work/xmms-1.2.10/
             libxmms/util.c
*** Cannot continue.


magic xmms-1.2.10 # splint ./libxmms/util.c -preproc
Splint 3.1.1 --- 13 May 2006

libxmms/util.c:29: Include file <sys/types.h> matches the name of a POSIX
    library, but the POSIX library is not being used.  Consider using +posixlib
    or +posixstrictlib to select the POSIX library, or -warnposix to suppress
    this message.
  Header name matches a POSIX header, but the POSIX library is not selected.
  (Use -warnposixheaders to inhibit warning)
libxmms/util.c:37:12: Parse Error: Non-function declaration: GtkWidget :
             int. (For help on parse errors, see splint -help parseerrors.)
*** Cannot continue.
magic xmms-1.2.10 #
Comment 7 Jakub Moc (RETIRED) gentoo-dev 2006-10-23 00:45:21 UTC
xmms and all plugins are now package.masked and will be removed from the tree in one month.

WONTFIX.